Bug 2490 - [UPDATE REQUEST] broadcom-wl
: [UPDATE REQUEST] broadcom-wl
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 11:32 MSD by Andrew Lukoshko
Modified: 2013-08-19 15:31 MSD (History)
4 users (show)

See Also:
RPM Package: broadcom-wl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report1.odt (883.03 KB, application/vnd.oasis.opendocument.text)
2013-08-16 12:08 MSD, Postnikov Dmitry
Details
broadcom-wl-1.txt (60.77 KB, text/plain)
2013-08-16 15:59 MSD, Postnikov Dmitry
Details
broadcom-wl-2.txt (60.77 KB, text/plain)
2013-08-16 15:59 MSD, Postnikov Dmitry
Details
broadcom-wl-3.txt (63.75 KB, text/plain)
2013-08-16 16:00 MSD, Postnikov Dmitry
Details
broadcom-wl-4-Befor.txt (64.58 KB, text/plain)
2013-08-16 17:58 MSD, Postnikov Dmitry
Details
broadcom-wl-4-After.txt (64.78 KB, text/plain)
2013-08-16 17:59 MSD, Postnikov Dmitry
Details
broadcom-version.png (51.50 KB, image/png)
2013-08-16 19:19 MSD, Postnikov Dmitry
Details
pci.txt (14.75 KB, text/plain)
2013-08-16 19:19 MSD, Postnikov Dmitry
Details
proba1.txt (64.70 KB, text/plain)
2013-08-16 20:01 MSD, Postnikov Dmitry
Details
proba2.txt (65.15 KB, text/plain)
2013-08-16 20:02 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-14 11:32:52 MSD
broadcom-wl updated to not blacklist open source kernel driver.
kernel aliases used instead for loading wl module for supported devices only.
all the rest devices will use open source driver

Advisory:
* Do not blacklist open source driver, use wl module for supported devices only.

https://abf.rosalinux.ru/build_lists/1203525
https://abf.rosalinux.ru/build_lists/1203526
Comment 1 Andrew Lukoshko 2013-08-14 11:42:02 MSD
broadcom-wl updated to not blacklist open source kernel driver.
kernel aliases used instead for loading wl module for supported devices only.
all the rest devices will use open source driver

Advisory:
* Do not blacklist open source driver, use wl module for supported devices only.

Buildlists:
https://abf.rosalinux.ru/build_lists/1203525
https://abf.rosalinux.ru/build_lists/1203526
Comment 2 Alexander Burmashev 2013-08-14 11:50:14 MSD
Advisory:
broadcom-wl updated to not blacklist open source kernel driver.
kernel aliases used instead for loading wl module for supported devices only.
all the rest devices will use open source driver

Advisory:
* Do not blacklist open source driver, use wl module for supported devices only.

Buildlists:
https://abf.rosalinux.ru/build_lists/1203525
https://abf.rosalinux.ru/build_lists/1203526
Comment 3 Andrew Lukoshko 2013-08-14 13:15:51 MSD
UPDATE.

Advisory:
* include patches for kernel 3.10 compatibility
* don't use this module with BCM4311

Buildlists:
https://abf.rosalinux.ru/build_lists/1203561
https://abf.rosalinux.ru/build_lists/1203562
Comment 4 Vladimir Potapov 2013-08-14 18:02:29 MSD
The package route to extended testing.
Comment 5 Postnikov Dmitry 2013-08-14 21:25:23 MSD
(In reply to comment #2)
> Advisory:
> broadcom-wl updated to not blacklist open source kernel driver.
> kernel aliases used instead for loading wl module for supported devices only.
> all the rest devices will use open source driver
> 
> Advisory:
> * Do not blacklist open source driver, use wl module for supported devices
> only.
> 
> Buildlists:
> https://abf.rosalinux.ru/build_lists/1203525
> https://abf.rosalinux.ru/build_lists/1203526

Only these packages can check. Since we have only BCM4311.
Comment 6 Andrew Lukoshko 2013-08-14 21:47:49 MSD
Great! Please also test latest version to make sure b43 driver loaded instead of wl.
Comment 7 Postnikov Dmitry 2013-08-16 12:08:21 MSD
Created attachment 1773 [details]
report1.odt

(In reply to comment #2)
> Advisory:
> broadcom-wl updated to not blacklist open source kernel driver.
> kernel aliases used instead for loading wl module for supported devices only.
> all the rest devices will use open source driver
> 
> Advisory:
> * Do not blacklist open source driver, use wl module for supported devices
> only.
> 
> Buildlists:
> https://abf.rosalinux.ru/build_lists/1203525
> https://abf.rosalinux.ru/build_lists/1203526

**************************
Extended testing report
**************************
Attached report
Comment 8 Vladimir Potapov 2013-08-16 12:32:51 MSD
(In reply to comment #7)
> Created attachment 1773 [details]
> report1.odt
> 
> (In reply to comment #2)
> > Advisory:
> > broadcom-wl updated to not blacklist open source kernel driver.
> > kernel aliases used instead for loading wl module for supported devices only.
> > all the rest devices will use open source driver
> > 
> > Advisory:
> > * Do not blacklist open source driver, use wl module for supported devices
> > only.
> > 
> > Buildlists:
> > https://abf.rosalinux.ru/build_lists/1203525
> > https://abf.rosalinux.ru/build_lists/1203526
> 
> **************************
> Extended testing report
> **************************
> Attached report

What driver tested?
Buildlists:
https://abf.rosalinux.ru/build_lists/1203561
https://abf.rosalinux.ru/build_lists/1203562
???
Comment 9 Postnikov Dmitry 2013-08-16 15:59:00 MSD
Created attachment 1779 [details]
broadcom-wl-1.txt


1. Deleted b43-firmware, install the broadcom-wl and rebooted.
Wireless network not work. dmesg - broadcom-wl-1.txt.
Comment 10 Postnikov Dmitry 2013-08-16 15:59:48 MSD
Created attachment 1780 [details]
broadcom-wl-2.txt


2. Tried to urpmi dkms-broadcom-wl,
Wireless network not work. dmesg - broadcom-wl-2.txt.
Comment 11 Postnikov Dmitry 2013-08-16 16:00:32 MSD
Created attachment 1781 [details]
broadcom-wl-3.txt


3. Rebooted, but still a wireless network cannot see.
dmesg - broadcom-wl-3.txt.
Comment 12 Eugene Shatokhin 2013-08-16 16:43:44 MSD
(In reply to comment #11)
This is OK: the proprietary driver has bugs and should not be used for BCM4311, at least at the present time. 

Details: http://bugs.rosalinux.ru/show_bug.cgi?id=2146#c44

Because of that, the package configures it so that wl does not service BCM4311, b43 should only be used with that chip.
Comment 13 Eugene Shatokhin 2013-08-16 16:45:14 MSD
(In reply to comment #11)
And b43 does not work, of course, after b43-firmware has been removed.
Comment 14 Andrew Lukoshko 2013-08-16 16:45:34 MSD
Right, so b43-firmware should be installed anyway.
Comment 15 Postnikov Dmitry 2013-08-16 16:56:51 MSD
(In reply to comment #14)
> Right, so b43-firmware should be installed anyway.

That is, install b43-firmware, after then broadcom-wl install. And check how it works?
Comment 16 Andrew Lukoshko 2013-08-16 16:58:58 MSD
Yes. Please attach logs of BCM4311 with broadcom-wl package installed.
It must use b43 kernel driver anyway just like broadcom-wl isn't installed.
Comment 17 Postnikov Dmitry 2013-08-16 17:58:06 MSD
Created attachment 1782 [details]
broadcom-wl-4-Befor.txt

After install b43-firmware + broadcom-wl without reboot.
Comment 18 Postnikov Dmitry 2013-08-16 17:59:00 MSD
Created attachment 1783 [details]
broadcom-wl-4-After.txt

After reboot computer with installed b43-firmware + broadcom-wl.
Comment 19 Postnikov Dmitry 2013-08-16 18:24:04 MSD
Judging by the conclusion dmesg in the code some kind of bug. Apparently really bug 2146 still now exists for BCM4311.
============
.......
[    9.433306] wl: module license 'MIXED/Proprietary' taints kernel.
[    9.433313] Disabling lock debugging due to kernel taint
[    9.469368] eth%d: 5.100.82.112 driver failed with code 21
[    9.469398] ------------[ cut here ]------------
[    9.469450] kernel BUG at include/net/cfg80211.h:2632!
[    9.469499] invalid opcode: 0000 [#1] PREEMPT SMP 
.......
.......
===========
Comment 20 Andrew Lukoshko 2013-08-16 18:35:53 MSD
1) what version of broadcom-wl are you testing? version-release
2) please post "lspci -vv" output
Comment 21 Andrew Lukoshko 2013-08-16 18:37:45 MSD
Please test this one:
https://abf.rosalinux.ru/build_lists/1203561
https://abf.rosalinux.ru/build_lists/1203562
Comment 22 Eugene Shatokhin 2013-08-16 18:40:39 MSD
(In reply to comment #19)
Yes, the symptoms are the same as in bug 2146. It is still not fixed upstream.
Comment 23 Eugene Shatokhin 2013-08-16 18:42:22 MSD
(In reply to comment #20)
It affects only the proprietary driver (5.100.82.112).
Comment 24 Postnikov Dmitry 2013-08-16 19:19:10 MSD
Created attachment 1784 [details]
broadcom-version.png

(In reply to comment #20)
> 1) what version of broadcom-wl are you testing? version-release
> 2) please post "lspci -vv" output

Testing verion broadcom
Comment 25 Postnikov Dmitry 2013-08-16 19:19:35 MSD
Created attachment 1785 [details]
pci.txt

(In reply to comment #20)
> 1) what version of broadcom-wl are you testing? version-release
> 2) please post "lspci -vv" output

lspci -vv
Comment 26 Andrew Lukoshko 2013-08-16 19:30:11 MSD
You should test 5.100.82.112-12.
Now you have 5.100.82.112-11.

https://abf.rosalinux.ru/build_lists/1203561
https://abf.rosalinux.ru/build_lists/1203562
Comment 27 Postnikov Dmitry 2013-08-16 20:01:25 MSD
Created attachment 1786 [details]
proba1.txt

(In reply to comment #21)
> Please test this one:
> https://abf.rosalinux.ru/build_lists/1203561
> https://abf.rosalinux.ru/build_lists/1203562

After install new version without reboot.

Wifi SSID become visible, connected to Wi-Fi and
everything works, but the driver is displayed b43 and non-proprietary.
Comment 28 Postnikov Dmitry 2013-08-16 20:02:13 MSD
Created attachment 1787 [details]
proba2.txt

(In reply to comment #21)
> Please test this one:
> https://abf.rosalinux.ru/build_lists/1203561
> https://abf.rosalinux.ru/build_lists/1203562

After reboot with installed new version driver.

Wifi SSID become visible, connected to Wi-Fi and
everything works, but the driver is displayed b43 and non-proprietary.
Comment 29 Andrew Lukoshko 2013-08-16 20:38:54 MSD
That's right behavior for BCM4311 since we have problems with it.
Any other wl-supported card should use wl.

Looks like now everything is fine.
Comment 30 Postnikov Dmitry 2013-08-16 20:40:52 MSD
Yes, and BCM4311, and BCM4313 is work!
Comment 31 Vladimir Potapov 2013-08-19 10:57:26 MSD
dkms-broadcom-wl-5.100.82.112-12-rosa2012.1
******************** Advisory **********************
broadcom-wl updated to not blacklist open source kernel driver.
kernel aliases used instead for loading wl module for supported devices only.
all the rest devices will use open source driver
Do not blacklist open source driver, use wl module for supported devices only.
****************************************************
QA Verified